Starmade | Power auxiliary is disabled for AI
Closed, FinishedPublic

Description

completely breaks certain drone and npc types

Details

Commits
Restricted Diffusion Commit
Task Type
Bug
Testing Results
Affected Gamemode(s)
Single and Multi
Reproducible
Yes
Last tested (version)
0.199.618
Category
AI
First occurrence (version)
0.199.xxx
Hardware/Software/System
OS-Specific
No
Hardware-Specific
No
Video Card Vendor
uncertain
Steps to reproduce
  1. build an ai controlled ship with auxillary power.
  2. spawn it in or activate bobby ai.
  3. does not use aux power.
Tester information (Internal use only)

For AI it's quite a concern. Easiest solution to this would be to always have power auxiliary on as default when placed down. Especially considering how many ways AI can be enabled
I don't immediately see an issue with doing this. If there is one, please leave a comment here explaining why.

Serverconfig (server.cfg)
 <replace this block with the file content, 
but do not remove the first and last line. 
Before using the paste function, mark the area from the 
opening angle bracket to the closing angle bracket>
Clientconfig (settings.cfg)
 <replace this block with the file content, 
but do not remove the first and last line. 
Before using the paste function, mark the area from the 
opening angle bracket to the closing angle bracket>
Aceface created this task.Apr 25 2017, 7:18 PM
lancake added a subscriber: lancake.

-Validated- & -Confirmed-

Yeah for AI it's quite a concern. Easiest solution to this would be to always have power auxiliary on as default when placed down.
I don't immediately see an issue with doing this. If there is one, please leave a comment here explaining why.

lancake claimed this task.Apr 28 2017, 2:36 PM
lancake shifted this object from the S1 Public space to the S3 Starmade space.Apr 28 2017, 2:44 PM
lancake changed the title from "ai does not use auxillary power" to "Power auxiliary is enabled for AI".
lancake changed the visibility from "Custom Policy" to "Public (No Login Required)".
lancake changed the edit policy from "Task Author" to "Starmade (Project)".
lancake edited Steps to reproduce. (Show Details)
lancake edited Tester information (Internal use only). (Show Details)
lancake changed Affected Gamemode(s) from none/unspecified to Single and Multi.
lancake changed Reproducible from uncertain to Yes.
lancake set Last tested (version) to 0.199.535.
lancake set First occurrence (version) to 0.199.xxx.
lancake changed the task status from "Open" to "In Queue".
Restricted Application edited projects, added Game Development; removed Issue Navigation. · View Herald TranscriptApr 28 2017, 2:45 PM
lancake changed the title from "Power auxiliary is enabled for AI" to "Power auxiliary is disabled for AI".Apr 28 2017, 2:47 PM

-Validated- & -Confirmed-

Yeah for AI it's quite a concern. Easiest solution to this would be to always have power auxiliary on as default when placed down.
I don't immediately see an issue with doing this. If there is one, please leave a comment here explaining why.

good idea, like stations.

lancake changed the task status from "In Queue" to "Resolved" by committing Restricted Diffusion Commit.May 5 2017, 1:55 PM
Restricted Application edited projects, added Quality Assurance; removed Game Development. · View Herald TranscriptMay 5 2017, 1:55 PM

-QA Testing-

Fix confirmed.

lancake changed Last tested (version) from 0.199.535 to 0.199.618.Jun 27 2017, 1:37 PM
lancake changed Category from none/unspecified to AI.
Restricted Application added a project: AI. · View Herald TranscriptJun 27 2017, 1:37 PM
lancake closed this task as "Closed".Jul 7 2017, 12:34 PM
Restricted Application removed a project: Quality Assurance. · View Herald TranscriptJul 7 2017, 12:34 PM
AndyP moved this task from Unclassed to Archived on the Starmade board.Jul 20 2017, 10:43 PM